OpenVDB: Extrema< VecT, 1 > Class Template Reference

OpenVDB 9.0.0

Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
Extrema< VecT, 1 > Class Template Reference

Template specialization of Extrema on vector value types, i.e. rank = 1. More...

`#include <nanovdb/util/GridStats.h>`

## Classes
struct | Pair

## Public Types
using | ValueType = VecT

## Public Member Functions
| Extrema ()
| Extrema (const VecT &v)
| Extrema (const VecT &a, const VecT &b)
Extrema & | operator= (const Extrema &)=default
Extrema & | min (const VecT &v)
Extrema & | max (const VecT &v)
Extrema & | add (const VecT &v)
Extrema & | add (const VecT &v, uint64_t)
Extrema & | add (const Extrema &other)
const VecT & | min () const
const VecT & | max () const
| operator bool () const

## Static Public Member Functions
static constexpr bool | hasMinMax ()
static constexpr bool | hasAverage ()
static constexpr bool | hasStdDeviation ()
static constexpr size_t | size ()

## Protected Types
using | Real = typename VecT::ValueType

## Protected Member Functions
Extrema & | add (const Pair &p)

## Protected Attributes
struct nanovdb::Extrema< VecT, 1 >::Pair | mMin
struct nanovdb::Extrema< VecT, 1 >::Pair | mMax

## Detailed Description

template<typename VecT>
class nanovdb::Extrema< VecT, 1 >

Template specialization of Extrema on vector value types, i.e. rank = 1.

## Member Typedef Documentation

## ◆ Real

using Real = typename VecT::ValueType
| protected

## ◆ ValueType

using ValueType = VecT

## Constructor & Destructor Documentation

## ◆ Extrema() [1/3]

Extrema | ( |  | ) |
| inline

## ◆ Extrema() [2/3]

Extrema | ( | const VecT & | v | ) |
| inline

## ◆ Extrema() [3/3]

Extrema | ( | const VecT & | a,
|  | const VecT & | b
| ) |  |
| inline

## Member Function Documentation

## ◆ add() [1/4]

Extrema & add | ( | const Extrema< VecT, 1 > & | other | ) |
| inline

## ◆ add() [2/4]

Extrema & add | ( | const Pair & | p | ) |
| inlineprotected

## ◆ add() [3/4]

Extrema & add | ( | const VecT & | v | ) |
| inline

## ◆ add() [4/4]

Extrema & add | ( | const VecT & | v,
|  | uint64_t |
| ) |  |
| inline

## ◆ hasAverage()

static constexpr bool hasAverage | ( |  | ) |
| inlinestaticconstexpr

## ◆ hasMinMax()

static constexpr bool hasMinMax | ( |  | ) |
| inlinestaticconstexpr

## ◆ hasStdDeviation()

static constexpr bool hasStdDeviation | ( |  | ) |
| inlinestaticconstexpr

## ◆ max() [1/2]

const VecT & max | ( |  | ) | const
| inline

## ◆ max() [2/2]

Extrema & max | ( | const VecT & | v | ) |
| inline

## ◆ min() [1/2]

const VecT & min | ( |  | ) | const
| inline

## ◆ min() [2/2]

Extrema & min | ( | const VecT & | v | ) |
| inline

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

## ◆ operator=()

Extrema & operator= | ( | const Extrema< VecT, 1 > & |  | ) |
| default

## ◆ size()

static constexpr size_t size | ( |  | ) |
| inlinestaticconstexpr

## Member Data Documentation

## ◆ mMax

struct nanovdb::Extrema< VecT, 1 >::Pair mMax
| protected

## ◆ mMin

struct nanovdb::Extrema< VecT, 1 >::Pair mMin
| protected